SCM

Supply Chain Management

Supply Chain Admin

PT SCM Group — HQ

Logout

Dashboard / Logistics

# Logistics

On-Time

88%

Target: 95%

In Transit

15

Shipments

Avg Transit

2.5 days

Door to door

Exceptions

3

This week

## Carrier Performance

Carrier | Shipments | On-Time % | Avg Days | Exceptions |
--- | --- | --- | --- | --- | ---
JNE | 25 | 92% | 2.0 | 1 | 1
SiCepat | 18 | 88% | 1.5 | 1 | 1
Tiki | 15 | 85% | 2.5 | 2 | 2

Back to Home